Package com.collibra.catalog.api.component.classification

# Interface ClassificationMatchApi

public interface ClassificationMatchApi

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClassificationMatch`
  `addClassificationMatch(AddClassificationMatchRequest request)`
  Add the `ClassificationMatch` for given asset and classification.
  `List<ClassificationMatch>`
  `addClassificationMatches(AddClassificationMatchesRequest request)`
  Add the list of `ClassificationMatch` for given asset and a list of the classifications.
  `ClassificationMatch`
  `changeClassificationMatch(ChangeClassificationMatchRequest request)`
  Allows to change status of classification match.
  `List<ClassificationMatch>`
  `changeClassificationMatches(List<ChangeClassificationMatchRequest> requests)`
  Allows to change statuses of classification matches.
  `PagedResponse<ClassificationMatch>`
  `findClassificationMatches(FindClassificationMatchesRequest request)`
  Finds all the `ClassificationMatch` matching given search criteria.
  `ClassificationMatch`
  `getClassificationMatch(GetClassificationMatchRequest request)`
  Finds the `ClassificationMatch` with given id.
  `void`
  `removeClassificationMatch(DeleteClassificationMatchRequest request)`
  Removes classification match with given classification match id.
  `void`
  `removeClassificationMatches(DeleteClassificationMatchesRequest request)`
  Removes classification matches with given classification match ids.

- ## Method Details

  - ### addClassificationMatch

    ClassificationMatch addClassificationMatch(AddClassificationMatchRequest request)
    Add the `ClassificationMatch` for given asset and classification.
    Parameters:
      `request` - request specifying classification match to be added
    Returns:
      added classification match with given asset and classification

  - ### addClassificationMatches

    List<ClassificationMatch> addClassificationMatches(AddClassificationMatchesRequest request)
    Add the list of `ClassificationMatch` for given asset and a list of the classifications.
    Parameters:
      `request` - request specifying classification matches to be added
    Returns:
      added classification matches with given asset and classifications

  - ### getClassificationMatch

    ClassificationMatch getClassificationMatch(GetClassificationMatchRequest request)
    Finds the `ClassificationMatch` with given id.
    Parameters:
      `request` - request specifying id of classification match
    Returns:
      classification match with given id

  - ### findClassificationMatches

    PagedResponse<ClassificationMatch> findClassificationMatches(FindClassificationMatchesRequest request)
    Finds all the `ClassificationMatch` matching given search criteria.
    Parameters:
      `request` - search criteria specifying what classification matches to search for
    Returns:
      classification matches matching given criteria

  - ### changeClassificationMatch

    ClassificationMatch changeClassificationMatch(ChangeClassificationMatchRequest request)
    Allows to change status of classification match. Only two statuses are allowed to be changed to : ACCEPTED and REJECTED. REJECTED matches are no longer visible on asset page and can't be searched by.
    Parameters:
      `request` - request specifying classification match and changes that should be performed on it
    Returns:
      updated classification match

  - ### changeClassificationMatches

    List<ClassificationMatch> changeClassificationMatches(List<ChangeClassificationMatchRequest> requests)
    Allows to change statuses of classification matches. Only two statuses are allowed to be changed to : ACCEPTED and REJECTED. REJECTED matches are no longer visible on asset page and can't be searched by.
    Parameters:
      `requests` - requests specifying classification matches and changes that should be performed on them
    Returns:
      updated classification matches

  - ### removeClassificationMatch

    void removeClassificationMatch(DeleteClassificationMatchRequest request)
    Removes classification match with given classification match id.
    Parameters:
      `request` - request specifying id of classification match to be removed

  - ### removeClassificationMatches

    void removeClassificationMatches(DeleteClassificationMatchesRequest request)
    Removes classification matches with given classification match ids.
    Parameters:
      `request` - request specifying ids of classification matches to be removed